# SoftwareComponent

interface SoftwareComponent : Named

A software component produced by a Gradle software project.

An implementation of this interface may also implement ComponentWithVariants to provide information about the variants that the component provides.

#### Inheritors

TestSuiteComponent
TestComponent
ComponentWithNativeRuntime
ProductionComponent
ComponentWithOutputs
ComponentWithDependencies
ComponentWithBinaries
AdhocComponentWithVariants
PublishableComponent
ComponentWithVariants
ComponentWithCoordinates
BuildableComponent

## Functions

getName
Link copied to clipboard
abstract fun getName(): String